- entityDefinitions:
  - IDM_Common_Instance_Set__is__Set_A_empty: '{d50e6f10-74ef-4c3f-b5c9-42714b641eb4}'
  - IDMB_Common_Instance_Set__is__Set_A_empty: '{3f81de0c-58ff-4c03-a2af-aefd55a9508e}'

  - IDM_Common_Instance_Set__is__Set_B_empty: '{2fc247a9-c872-4997-a5ca-c3eee6c503d4}'
  - IDMB_Common_Instance_Set__is__Set_B_empty: '{b8dab61a-2040-4bbc-bed8-c060fab07e94}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - evaluateBooleanExpressionMethod: '&IDM_Common_Instance_Set__is__Set_A_empty;'
    forClassId: '&IDC_CommonInstanceSet;'
    verb: 'is'
    name: 'Set A empty'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    returnsAttributeId: '&IDA_Empty;'
    source: '&IDI_WorkSet_SetA;'
    operator: '&IDI_RelationalOperator_Empty;'
    
  - returnAttributeMethodBinding: '&IDMB_Common_Instance_Set__is__Set_A_empty;'
    executesMethod: '&IDM_Common_Instance_Set__is__Set_A_empty;'

  - evaluateBooleanExpressionMethod: '&IDM_Common_Instance_Set__is__Set_B_empty;'
    forClassId: '&IDC_CommonInstanceSet;'
    verb: 'is'
    name: 'Set B empty'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    returnsAttributeId: '&IDA_Empty;'
    source: '&IDI_WorkSet_SetB;'
    operator: '&IDI_RelationalOperator_Empty;'
    
  - returnAttributeMethodBinding: '&IDMB_Common_Instance_Set__is__Set_B_empty;'
    executesMethod: '&IDM_Common_Instance_Set__is__Set_B_empty;'
